org.jboss.jca.as.converters.wls.metadata

## Class SecurityWorkContextImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.SecurityWorkContextImpl

- All Implemented Interfaces:
    java.io.Serializable, SecurityWorkContext, WlsMetadata

      public class SecurityWorkContextImpl
      extends java.lang.Object
      implements SecurityWorkContext

  A generic SecurityWorkContext.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.SecurityWorkContext

      `SecurityWorkContext.Attribute, SecurityWorkContext.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `inboundMappingRequired` nativeLibdir

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityWorkContextImpl(java.lang.Boolean inboundMappingRequired, AnonPrincipal cpdm, java.util.List<? extends InboundCallerPrincipalMapping> cpms, java.lang.String gpdm, java.util.List<? extends InboundGroupPrincipalMapping> gpms)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonPrincipal` | `getCallerPrincipalDefaultMapped()` getCallerPrincipalDefaultMapped
    `java.util.List<InboundCallerPrincipalMapping>` | `getCallerPrincipalMapping()` getCallerPrincipalMapping
    `java.lang.String` | `getGroupPrincipalDefaultMapped()` getGroupPrincipalDefaultMapped
    `java.util.List<InboundGroupPrincipalMapping>` | `getGroupPrincipalMapping()` getGroupPrincipalMapping
    `java.lang.Boolean` | `getInboundMappingRequired()` getInboundMappingRequired

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inboundMappingRequired

          protected final java.lang.Boolean inboundMappingRequired

      nativeLibdir

  - ### Constructor Detail

    - #### SecurityWorkContextImpl

          public SecurityWorkContextImpl(java.lang.Boolean inboundMappingRequired,
                                         AnonPrincipal cpdm,
                                         java.util.List<? extends InboundCallerPrincipalMapping> cpms,
                                         java.lang.String gpdm,
                                         java.util.List<? extends InboundGroupPrincipalMapping> gpms)

      constructor
      Parameters:
        `inboundMappingRequired` - inboundMappingRequired
        `cpdm` - AnonPrincipal
        `cpms` - List
        `gpdm` - gpdm
        `gpms` - List

  - ### Method Detail

    - #### getInboundMappingRequired

          public java.lang.Boolean getInboundMappingRequired()

      Description copied from interface: `SecurityWorkContext`
      getInboundMappingRequired
      Specified by:
        `getInboundMappingRequired` in interface `SecurityWorkContext`
      Returns:
        the InboundMappingRequired

    - #### getCallerPrincipalDefaultMapped

          public AnonPrincipal getCallerPrincipalDefaultMapped()

      Description copied from interface: `SecurityWorkContext`
      getCallerPrincipalDefaultMapped
      Specified by:
        `getCallerPrincipalDefaultMapped` in interface `SecurityWorkContext`
      Returns:
        the CallerPrincipalDefaultMapped

    - #### getCallerPrincipalMapping

          public java.util.List<InboundCallerPrincipalMapping> getCallerPrincipalMapping()

      Description copied from interface: `SecurityWorkContext`
      getCallerPrincipalMapping
      Specified by:
        `getCallerPrincipalMapping` in interface `SecurityWorkContext`
      Returns:
        the List

    - #### getGroupPrincipalDefaultMapped

          public java.lang.String getGroupPrincipalDefaultMapped()

      Description copied from interface: `SecurityWorkContext`
      getGroupPrincipalDefaultMapped
      Specified by:
        `getGroupPrincipalDefaultMapped` in interface `SecurityWorkContext`
      Returns:
        the GroupPrincipalDefaultMapped

    - #### getGroupPrincipalMapping

          public java.util.List<InboundGroupPrincipalMapping> getGroupPrincipalMapping()

      Description copied from interface: `SecurityWorkContext`
      getGroupPrincipalMapping
      Specified by:
        `getGroupPrincipalMapping` in interface `SecurityWorkContext`
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)